Package org.pgpainless.sop

# Class GenerateKeyImpl

java.lang.Object
org.pgpainless.sop.GenerateKeyImpl

All Implemented Interfaces:
  `sop.operation.GenerateKey`

public class GenerateKeyImpl extends Object implements sop.operation.GenerateKey
Implementation of the

    generate-key

operation using PGPainless.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final sop.Profile`
`CURVE25519_PROFILE`
`static final sop.Profile`
`RSA4096_PROFILE`
`static final List<sop.Profile>`
`SUPPORTED_PROFILES`

## Constructor Summary

Constructors
Constructor
Description
`GenerateKeyImpl()`

## Method Summary

Modifier and Type
Method
Description
`sop.Ready`
`generate()`
`sop.operation.GenerateKey`
`noArmor()`
`sop.operation.GenerateKey`
`profile(String profileName)`
`sop.operation.GenerateKey`
`signingOnly()`
`sop.operation.GenerateKey`
`userId(String userId)`
`sop.operation.GenerateKey`
`withKeyPassword(String password)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface sop.operation.GenerateKey

`profile, withKeyPassword`

## Field Details

### CURVE25519_PROFILE

public static final sop.Profile CURVE25519_PROFILE

### RSA4096_PROFILE

public static final sop.Profile RSA4096_PROFILE

### SUPPORTED_PROFILES

public static final List<sop.Profile> SUPPORTED_PROFILES

## Constructor Details

### GenerateKeyImpl

public GenerateKeyImpl()

## Method Details

### noArmor

public sop.operation.GenerateKey noArmor()

Specified by:
  `noArmor` in interface `sop.operation.GenerateKey`

### userId

public sop.operation.GenerateKey userId(String userId)

Specified by:
  `userId` in interface `sop.operation.GenerateKey`

### withKeyPassword

public sop.operation.GenerateKey withKeyPassword(String password)

Specified by:
  `withKeyPassword` in interface `sop.operation.GenerateKey`

### profile

public sop.operation.GenerateKey profile(String profileName)

Specified by:
  `profile` in interface `sop.operation.GenerateKey`

### signingOnly

public sop.operation.GenerateKey signingOnly()

Specified by:
  `signingOnly` in interface `sop.operation.GenerateKey`

### generate

public sop.Ready generate() throws sop.exception.SOPGPException.MissingArg, sop.exception.SOPGPException.UnsupportedAsymmetricAlgo

Specified by:
  `generate` in interface `sop.operation.GenerateKey`
Throws:
  `sop.exception.SOPGPException.MissingArg`
  `sop.exception.SOPGPException.UnsupportedAsymmetricAlgo`